function yl_announcements.get_all_anncouncements()
    return yl_announcements.data or {}
end

function yl_announcements.get_announcement(a_id)
    local announcements = yl_announcements.get_all_anncouncements()
    for _, announcement in pairs(announcements) do
        if announcement.id == a_id then
            return announcement
        end
    end
    return yl_announcements.error
end

function yl_announcements.delete(a_id)
    local announcements = yl_announcements.get_all_anncouncements()
    local data = {}
    local success = false
    for _, announcement in pairs(announcements) do
        if announcement.id ~= a_id then
            table.insert(data,announcement)
        else
            success = true
        end
    end
    if success ~= true then
        data = "Could not find announcement with id " .. a_id
    end
    return success, data
end

function yl_announcements.copy(a_id)
    local announcement = yl_announcements.get_announcement(a_id)
    local content = minetest.formspec_escape(dump(announcement))
	local formspec = "formspec_version[6]" ..
	"size[16,2]" ..
	"button_exit[15.4,0.1;0.5,0.5;X;X]" ..
	"textarea[0.05,0.05;15.3,1.9;;;" .. 
	content ..
	"]"
	return formspec or ""
end